summaryrefslogtreecommitdiffstats
path: root/graphics/dcraw/dcraw.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/dcraw/dcraw.SlackBuild')
-rw-r--r--graphics/dcraw/dcraw.SlackBuild35
1 files changed, 14 insertions, 21 deletions
diff --git a/graphics/dcraw/dcraw.SlackBuild b/graphics/dcraw/dcraw.SlackBuild
index 4eb9689821..022b2909d1 100644
--- a/graphics/dcraw/dcraw.SlackBuild
+++ b/graphics/dcraw/dcraw.SlackBuild
@@ -6,7 +6,7 @@
# Copyright (c) 2008-2010, Nishant Limbachia, Hoffman Estates, IL, USA (nishant _AT_ mnspace _DOT_ net)
# Copyright (c) 2007, Robby Workman <rworkman@slackbuilds.org>
# All rights reserved.
-#
+
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
@@ -25,23 +25,19 @@
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-### We're including the rawphoto.c file which builds an extra gimp plugin
-### If you want to build the rawphoto gimp plug-in, invoke the script
-### with "rawphoto" option (without the quotes) as $1 -- that is:
-### ./dcraw.SlackBuild rawphoto
+# We're including the rawphoto.c file which builds an extra gimp plugin
+# If you want to build the rawphoto gimp plug-in, invoke the script as:
+# RAWPHOTO=yes ./dcraw.SlackBuild
PRGNAM=dcraw
-VERSION=8.99
+VERSION=9.03
BUILD=${BUILD:-1}
-
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -65,11 +61,13 @@ else
LIBDIRSUFFIX=""
fi
-### DCRaw build flags as suggested on the author's page.
-### builds with support for jpeg, png, lcms and tiff
+# DCRaw build flags as suggested on the author's page.
+# builds with support for jpeg, png, lcms and tiff
DCRAW_BUILD_FLAGS="-lm -ljpeg -llcms -lpng -ltiff"
-set -e # Exit on most errors
+set -e # Exit on most errors
+
+RAWPHOTO=${RAWPHOTO:-no}
rm -fr $TMP/$PRGNAM $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -102,22 +100,17 @@ for lang in eo ru fr it de pt es zh_TW zh_CN pl hu cs ca sv ; do
# Missing po file for zh_CN language, hence the || above
done
-### remove any empty directories
+# remove any empty directories
find $PKG -depth -empty -type d -exec rmdir '{}' \;
# Compress man pages
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-if [ "$1" == "rawphoto" ]; then
+if [ "${RAWPHOTO}" = "yes" ]; then
if [ -x /usr/bin/gimptool-2.0 ]; then
/usr/bin/gimptool-2.0 --build $CWD/rawphoto.c
install -D -m 0755 rawphoto $PKG/usr/lib${LIBDIRSUFFIX}/gimp/2.0/plug-ins/rawphoto
- else
- echo "Unable to build the rawphoto gimp plugin - is gimp installed?"
- sleep 5
fi
fi